<?php

/**
 * Theme functions and definitions
 *
 * @package Silk Blog X
 */
if (!function_exists('silkblogx_enqueue_styles')) :
	/**
	 * @since 0.4
	 */
	function silkblogx_enqueue_styles()
	{
		wp_enqueue_style('silkblog-style-parent', get_template_directory_uri() . '/style.css');
		wp_enqueue_style('silkblogx-style', get_stylesheet_directory_uri() . '/style.css', array('silkblog-style-parent'), '1.2.0');
	}

endif;
add_action('wp_enqueue_scripts', 'silkblogx_enqueue_styles', 9999);

/* Remove parent theme page templates */

function silkblogx_remove_page_templates($page_templates)
{
	unset($page_templates['index.php']);
	return $page_templates;
}
add_filter('theme_page_templates', 'silkblogx_remove_page_templates');


/**
 * Block Patterns.
 */

require get_theme_file_path('/block-patterns.php');
